input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}


.field {
    position: relative;

    .form-control {
        z-index: 10;
        position: relative;
        background: transparent;
        padding-right: rem(36);
    }

    &__hint {
        top: 0;
        right: 0;
        bottom: 0;
        font-weight: 500;
        position: absolute;
        font-size: rem(12);
        line-height: rem(12);
        padding-right: rem(5);
        color: rgba(0, 0, 20, 0.5);
        display: flex;
        align-items: center;
    }

    @include media-breakpoint-up(md) {

        &__hint {
            font-size: rem(16);
            line-height: rem(20);
            padding-right: rem(10);
        }
    }
}
